<?php

namespace ACL\Services;

use ACL\Helpers\Instances\InstanceProvider;
use ACL\Repositories\Cliente as ClienteRepository;
use ACL\Traits\TCrud;

class Cliente
{

    use TCrud;

    /**
     * @var \Teknisa\Libs\Util\Environment
     */
    private $libEnvironment;

    /**
     * @var ClienteRepository
     */
    private $clienteRepository;

    public function __construct(ClienteRepository $clienteRepository)
    {
        $this->clienteRepository = $clienteRepository;
        $this->libEnvironment = InstanceProvider::getLibEnvironment();
    }

    /**
     * @return array
     */
   public function findAllCliente(): array
   {
       return $this->clienteRepository->findAllCliente(getNrorg());
   }
}
